﻿@import url('open-iconic/font/css/open-iconic-bootstrap.min.css');

html, body {
    font-family: 'Helvetica Neue', Helvetica, Arial, sans-serif;
}

h1 select {
    font-size: 20px;
    vertical-align: middle;
}

h1 button {
    margin-bottom: 2px;
}

a, .btn-link {
    color: #0366d6;
}

table th, table td {
    vertical-align: middle !important;
    padding: .35rem .75rem !important;
}

table th {
    position: sticky;
    top: 55px;
    z-index: 7;
    background-color: #fff;
}

ul.no-bullets {
    list-style-type: none;
    padding: 0;
    margin: 0;
}

input.right {
    width: 5rem;
    text-align: right;
    float: right;
}

input.short {
    width: 4rem;
}

input.long {
    width: 7rem;
}

.left-indented {
    padding-left: 12px;
}

.text-nowrap {
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
    max-width: 130px;
}

    .text-nowrap.long {
        max-width: 180px;
    }

.text-danger {
    color: #721c24;
}

.oi-warning {
    padding-left: 3px;
}

.warning-blue {
    color: #3545DC;
}

.warning-red {
    color: #dc3545;
}

.btn-primary {
    color: #fff;
    background-color: #1b6ec2;
    border-color: #1861ac;
}

.btn-rounded {
    border-radius: 20px;
}

.btn-command {
    width: 5rem;
}

.btn-bottom-right {
    float: right;
    margin-bottom: 8px;
}

.spacer-20 {
    width: 20px;
    height: auto;
    display: inline-block;
}

.back-grey {
    background-color: #dee2e6;
}

.container-16x9 {
    position: relative;
    width: 100%;
    overflow: hidden;
    padding-top: 56.25%; /* 16:9 Aspect Ratio */
}

.responsive {
    position: absolute;
    top: 0;
    left: 0;
    bottom: 0;
    right: 0;
    width: 100%;
    height: 100%;
    border: none;
}

#app {
    position: relative;
    display: flex;
    flex-direction: column;
}

.top-row {
    height: 3.5rem;
    display: flex;
    align-items: center;
    z-index: 9;
}

.filter-row {
    height: 45px;
}

.main {
    flex: 1;
}

    .main .top-row {
        background-color: #f7f7f7;
        border-bottom: 1px solid #d6d5d5;
        justify-content: flex-end;
    }

        .main .top-row > a, .main .top-row .btn-link {
            white-space: nowrap;
            margin-left: 1.5rem;
        }

        .main .top-row a:first-child {
            overflow: hidden;
            text-overflow: ellipsis;
        }

.sidebar {
    background-image: linear-gradient(180deg, rgb(5, 39, 103) 0%, #3a0647 70%);
}

    .sidebar .top-row {
        background-color: rgba(0,0,0,0.4);
    }

    .sidebar .navbar-brand {
        font-size: 1.1rem;
    }

    .sidebar .oi {
        width: 2rem;
        font-size: 1.1rem;
        vertical-align: text-top;
        top: -2px;
    }

    .sidebar .nav-item {
        font-size: 0.9rem;
        padding-bottom: 0.5rem;
    }

        .sidebar .nav-item:first-of-type {
            padding-top: 1rem;
        }

        .sidebar .nav-item:last-of-type {
            padding-bottom: 1rem;
        }

        .sidebar .nav-item a {
            color: #d7d7d7;
            border-radius: 4px;
            height: 3rem;
            display: flex;
            align-items: center;
            line-height: 3rem;
        }

            .sidebar .nav-item a.active {
                background-color: rgba(255,255,255,0.25);
                color: white;
            }

            .sidebar .nav-item a:hover {
                background-color: rgba(255,255,255,0.1);
                color: white;
            }

    .sidebar .nav-sub-item {
        padding-right: 0px !important;
    }

.content {
    padding-top: 1.1rem;
}

.navbar-toggler {
    background-color: rgba(255, 255, 255, 0.1);
}

.modal {
    background-color: rgba(247,247,247,0.9);
}

.modal-body {
    max-height: calc(100vh - 210px);
    overflow-y: auto;
}

.spinner {
    position: absolute;
    left: 50%;
    top: 25%;
    z-index: 1100;
    width: 60px;
    height: 60px;
    margin: -38px 0 0 -38px;
    border: 3px solid #f3f2f1;
    border-radius: 50%;
    border-top: 3px solid #0078d4;
    -webkit-animation: spin 2s linear infinite;
    animation: spin 2s linear infinite;
}

@-webkit-keyframes spin {
    0% {
        -webkit-transform: rotate(0deg);
    }

    100% {
        -webkit-transform: rotate(360deg);
    }
}

@keyframes spin {
    0% {
        transform: rotate(0deg);
    }

    100% {
        transform: rotate(360deg);
    }
}

.valid.modified:not([type=checkbox]) {
    outline: 1px solid #26b050;
}

.invalid {
    outline: 1px solid red;
}

.validation-message {
    color: red;
}

.pending {
    color: #822F0B;
}

.success {
    color: #23820B;
}

.not-selectable {
    user-select: none;
}

.left-stacked {
    float: left;
    margin-top: 3px;
    margin-right: 20px;
}

.right-stacked {
    float: right;
    margin-top: 3px;
    margin-right: 12px;
}

.info-message-container {
    background-color: #f0f6ff;
    padding: 5px;
    display: flex;
}

.io-image-container {
    min-width: 25px;
    max-width: 25px;
    text-align: center;
}

.form-caption {
    padding-right: 0 !important;
}

    .form-caption label {
        font-weight: 700;
        white-space: nowrap;
    }

.form-data {
    padding-bottom: .5rem;
}

.flex-row {
    display: flex;
    flex-direction: row;
}

.flex-column-left {
    display: flex;
    flex-direction: column;
    flex-grow: 1;
}

.flex-column-right {
    display: flex;
    flex-direction: column;
    justify-content: center;
}

#blazor-error-ui {
    background: lightyellow;
    bottom: 0;
    box-shadow: 0 -1px 2px rgba(0, 0, 0, 0.2);
    display: none;
    left: 0;
    padding: 0.6rem 1.25rem 0.7rem 1.25rem;
    position: fixed;
    width: 100%;
    z-index: 1000;
}

    #blazor-error-ui .dismiss {
        cursor: pointer;
        position: absolute;
        right: 0.75rem;
        top: 0.5rem;
    }

.user-name-top-row {
    padding-right: 5px;
    font-size: small;
    text-align: right;
}

.current-user-info-card {
    display: unset;
    text-align: left;
    width: 18rem;
    padding-bottom: 1px;
}

    .current-user-info-card .user-attr {
        margin-left: 5px;
        margin-right: 5px;
    }

.btn-logout {
    margin: 0 auto !important;
    background-color: #f7f7f7;
    width: 100%;
}

.user-selector-list {
    height: 188px;
    overflow: auto;
    margin-top: 3px;
}

    .user-selector-list > ul {
        list-style-type: none;
        padding-left: 0px;
    }

        .user-selector-list > ul > li > label {
            padding-left: 5px;
        }

        .user-selector-list > ul > li:hover {
            background-color: #edebe9;
        }

.vendor-selector-list {
    max-height: 300px;
    overflow: auto;
    margin-top: 3px;
    z-index: 9;
    background-color: rgba(247,247,247,0.9);
    position: relative;
}

    .vendor-selector-list > ul {
        list-style-type: none;
        padding-left: 0px;
    }

        .vendor-selector-list > ul > li > label {
            padding-left: 5px;
        }

        .vendor-selector-list > ul > li:hover {
            background-color: #edebe9;
        }

.option-picker-list {
    list-style: none;
    border: 1px solid #7f7f7f;
    border-radius: 16px;
    padding: 1px;
    outline: none;
    height: 32px;
    margin: 0;
    display: inline-flex;
}

    .option-picker-list li:not(:last-child) {
        margin-right: 1px;
    }

    .option-picker-list .selected {
        color: #fff;
        background-color: #0078d4;
        border: 1px solid #0078d4;
        padding-top: 1px;
    }

        .option-picker-list .selected:hover {
            background-color: #106ebe;
            border-color: #106ebe;
        }

    .option-picker-list .disabled {
        cursor: default;
        background-color: #f3f2f1;
    }

    .option-picker-list .selected.disabled {
        border: 1px solid #adabab;
        background-color: #adabab;
    }

.option-picker-list-item {
    min-width: 46px;
    text-align: center;
    cursor: pointer;
    border-radius: 14px;
    border: none;
    color: #212529;
    float: left;
    outline: none;
    background-color: #fff;
    padding: 2px 5px;
    overflow: hidden;
    text-overflow: ellipsis;
}

    .option-picker-list-item:hover {
        background-color: #f3f2f1;
    }

.option-picker-caption {
    font-weight: 400;
    outline: none;
    user-select: none;
}

.filter-picker-selected-item {
    list-style: none;
    border: 1px solid #7f7f7f;
    border-radius: 16px;
    padding: 1px;
    outline: none;
    user-select: none;
    height: 32px;
    margin: 0;
    display: inline-flex;
}

    .filter-picker-selected-item .caption {
        padding: 2px 5px;
    }

    .filter-picker-selected-item .value {
        cursor: pointer;
        border-radius: 14px;
        border: none;
        color: #212529;
        float: left;
        outline: none;
        background-color: #fff;
        padding: 2px 5px;
        font-weight: 600;
    }

        .filter-picker-selected-item .value:hover {
            background-color: #f3f2f1;
        }

.filter-picker-items {
    background-color: rgba(247,247,247,0.9);
    border: 1px solid #7f7f7f;
    border-radius: 7px;
    padding: 5px;
    position: absolute;
    margin-top: 3px;
    z-index: 9;
}

    .filter-picker-items ul {
        list-style: none;
        padding: 0;
        min-width: 120px;
    }

.filter-picker-list-item input, .filter-picker-list-item span {
    cursor: pointer;
}

.image-uploader-container {
    min-height: 54px;
}

    .image-uploader-container .image-preview {
        position: relative;
        width: 100%;
    }

    .image-uploader-container img {
        width: 100%;
    }

    .image-uploader-container button {
        position: absolute;
        top: 0%;
        left: 94%;
    }

@media (max-width: 767.98px) {
    .main .top-row:not(.auth) {
        display: none;
    }

    .main .top-row.auth {
        justify-content: space-between;
    }

    .main .top-row a, .main .top-row .btn-link {
        margin-left: 0;
    }
}

@media (min-width: 768px) {
    #app {
        flex-direction: row;
    }

    .sidebar {
        width: 250px;
        min-height: 100vh;
        position: sticky;
        top: 0;
    }

    .main .top-row {
        position: sticky;
        top: 0;
    }

    .main > div {
        padding-left: 2rem !important;
        padding-right: 1.5rem !important;
    }

    .navbar-toggler {
        display: none;
    }

    .sidebar .collapse {
        /* Never collapse the sidebar for wide screens */
        display: block;
    }
}
